#!/bin/sh
#
# Startup script for taurus - Nanometrics Inc. (c) 2004
# Place anything that does not need cleaning up here.
#
/sbin/ifconfig lo 127.0.0.1
#
# mount /proc so "reboot" works
/bin/mount -t proc proc /proc
#
# mount ramfs on /tmp 
/bin/mount -t ramfs /dev/ram0 /tmp
#
# populate files
touch /var/run/utmp
touch /var/run/wtmp
touch /tmp/resolv.conf
#
# adjust LCD brightness
echo 110 > /proc/sys/nmx/lcd_brightness
#
# start nmxbus interface
echo -n "Setting up nmxbus interface... "
/sbin/ifconfig nmx0 1.0.0.1 netmask 255.255.255.0
echo "Done"
#
