# TestCode script
ip_base=1.0.0.2

# Reboot will not be graceful, so unmounting medias is safer...
echo "Unmounting all medias..."
/etc/init.d/syslog stop
/etc/init.d/mount stop

echo "Preparing Linux Kernel Testing for next reboot..."
/etc/init.d/kernel testcode

# We're doing ARM before PWM in this case since PWM v0.22 reboots instantly
echo "Preparing Digitizer Testing for next reboot..."
curl --config curl_post_firmware -d "Test Code" $ip_base/firmware/testcode

echo "Preparing Power Manager Testing for next reboot..."
curl --config curl_post_firmware -d "Test Code" $ip_base/pwm/testcode

echo "Done."
